Bug 26299 - Installation bug --Anacdump.txt
Installation bug --Anacdump.txt
Status: CLOSED DUPLICATE of bug 18032
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
high Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-06 05:43 EST by Allen
Modified: 2007-03-26 23:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 15:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anacdump.txt file created during an attempted upgrade to RH5.2 to RH7.0. Occured early in the installation program. Soon after the program asked for root partition of installation. (1.75 KB, text/plain)
2001-04-03 22:09 EDT, Rick Hoffman
no flags Details

  None (edit)
Description Allen 2001-02-06 05:43:30 EST
I got this bug during installation right after the "formatting/filesystem".....what should I do? I'm no programmer so I couldn't debug it myself. 
Please help.
--Anacdump.txt.--
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in doInstall
    if self.method.systemMounted (self.fstab, self.instPath, self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//home

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
---------------

Thanks.
Allen
Comment 1 Michael Fulbright 2001-02-06 12:43:01 EST
What kind of partition were you mounting as /home?
Comment 2 Michael Fulbright 2001-03-05 17:46:21 EST
Closing due to inactivity.
Comment 3 Brock Organ 2001-03-08 15:56:08 EST
Here is an update email from Allen ... reopening ... :)

Date: Thu, 08 Mar 2001 20:30:00 
From: Allen Chong <chongallen@hotmail.com>
To: msf@redhat.com
Cc: borgan@redhat.com
Subject: Bugzilla Bug - 26299

Bugzilla Bug - 26299
Hi I just received an email re-direction from your site regarding the above 
"bug" I posted.  The status has it as "RESOLVED" but I don't see any 
solution posted 
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=26299).  There were 
two comments below from msf@redhat.com which I had not aware of till now:

------- Additional comments from msf@redhat.com <mailto:msf@redhat.com> 
2001-02-06 12:43:01 -------
What kind of partition were you mounting as /home?

------- Additional comments from msf@redhat.com <mailto:msf@redhat.com> 
2001-03-05 17:46:21 -------
Closing due to inactivity.



To answer the question of the type of partition I was mounting as /home...I 
think it was the windows FATS32.  Was this the cause of my problem? Where, 
if at all, should I mount the FATS32 partition?  I have only 2 
partitions...one which I hope to run Linux and the other windows.  The Linux 
partition was an extended partition...if I remember correctly.
I look forward to your reply.
Thanks.
Allen.
Comment 4 Matthew Barnes 2001-03-15 10:24:00 EST
I have also experienced this problem.

Partition table looks something like this:
block     filesystem      mount point
0-552     fat32           /home/win
553-607   linuxswp
608-762   linuxswp
763-1863  extended
763-1023  linux           /
1024-1863 linux           /home/machine

The error occurrs everytime immediately after formatting.  The partitions were 
created by first intsalling win98 using the whole drive. Partition Magic was 
then used to create the extended, swap and linux fs logical partitions.

After the first failure I received the message even after recreating the 
partitions with fdisk (not including 1st partition-fat32).
Comment 5 Matthew Barnes 2001-03-15 16:59:31 EST
I eliminated the extended partion from the example above.  the same problem 
exists even when only primary partitions are used.

The root partition is hda2 and its partition ends on block 1023.

I had successfully installed on the exact same hardware without the win 
partition.

Just plain can't install dual boot at this point.
Comment 6 Allen 2001-03-17 20:43:27 EST
March 18, 2001
Dear Support,
I believe that I have solved the problem...in a circuitous way.  I installed 
RedHat but this time, leaving hda1 (my FAT32 partition) unmounted (Mount Point: 
<not set>).  The installation went through smoothly.  Obviously this presents a 
new problem...that of not being able to access the Windows partition from Linux 
which is, for me, the whole point of having dual OS on the HD.  Therefore, when 
RedHat booted up, I logged on as "root" and created a new subdirectory:
		mkdir /mnt/win
and then mounted the FAT32 partition to this new subdirectory:
		mount -t vfat /dev/hda1 /mnt/win

This seems to have done the trick!!

Allen. 

Comment 7 Need Real Name 2001-03-21 20:23:29 EST
Dear Support:

I encountered the same thing (on 21-Mar-2001).  Below is a dump of anacdump.txt.
Thank you Allen Chong!  Your technique works!

Steven

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20,
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in
doInstall
    if self.method.systemMounted (self.fstab, self.instPath,
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in
filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//mnt/win2k

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
<failed>
Comment 8 Matthew Barnes 2001-03-23 09:43:38 EST
Problem solved thanks to Allen.  Simply not mounting the FAT32 partition during 
installation is an easy workaround.  Seems anaconda should be able to either 
mount it properly or not mount filesystems of this type until another point in 
the installation.

Matthew Barnes
Comment 9 Need Real Name 2001-03-28 16:35:47 EST
I've read the solutions from others, and well. That will help with dual boot 
OS, but at the moment am trying to install the workstation as a standalone (for 
school) and getting the same error. Any suggestions would be appreciated.
Thanks in advance.
Sean
Comment 10 Need Real Name 2001-03-31 01:25:34 EST
Hi,

I am trying to install from  FAT32 formatted HDD and a boot floppy. I tried to use linux Updates Disk for anacoda. The installer still crashes after reading 
from updates disk.

any other way to get around this??

Regards /// Rahul
Comment 11 Rick Hoffman 2001-04-03 22:09:56 EDT
Created attachment 14565 [details]
Anacdump.txt file created during an attempted upgrade to RH5.2 to RH7.0.  Occured early in the installation program.  Soon after the program asked for root partition of installation.
Comment 12 Rick Hoffman 2001-04-03 22:52:36 EDT
Well, I too recieved an error while running the Anaconda install program that resulted in this anacdump.txt file.

However, I was attempting an upgrade from RH5.2 to RH7.0.  I had downloaded all of files from mirror sites as instructed by the RedHat site and put them 
into their respective directories, /RedHat/RPMS and /RedHat/base which were stored on a seperate HD(hdb1, a DOS/FAT32 partition).  A funny thing 
kept happening, though, when trying to download a particular file from these mirror sites.  When downloading this huge(87MB) file "stage2.img" which 
supposedly belongs in the /RedHat/base directory twice from different FTP sites, from both sites the file just stopped downloading at around 67MB.  The 
downloading just stopped.  Nothing I could do.  I tried a third site.  This time the file downloaded 87MB but then actually kept on downloading beyond 
this??!!  Suddenly the time to completion figure shot up to 147 hours, indicating to me it would just continue downloading forever??!!  I halted the process 
and the file was stored.  The file manager indicated its size at 26MB???!!!!  What is going on with this stupid file??  I don't know if this has anything to do 
with this installation error but I suspected I would have a problem with the upgrade procedure probably due to this weird file that for some reason would 
not download gracefully from several different sites.

Anyway, when I first tried to upgrade, the install program was telling me that not all my filesystems on the installation to be upgraded were unmounted 
correctly??  It suggested I boot into it so they would be cleaned and then to shutdown gracefully.  I did this.  The error occured again.  This installation I 
set up on a HD as a dual boot with a small DOS partition.  The Linux system I custom created with the RH5.2 CD I purchased consisted of 9 partitions.  
This time instead I just allowed the installation program to install its own partitions by using the workstation installation instead of the custom install.  It 
wiped out my previous installation and all its partitions/filesystems and recreated just two partitions(hda5 and 6).  I figured this way the number of 
filesystems on the installation to be upgraded would be reduced to the point of eliminating this error.  Well, it did, but instead of getting on farther into the 
7.0 upgrade it flagged another error which resulted in the following file.

What do I do??  Am I stuck with what I got or do I have to install every cotton-pickin RPM manually to upgrade to an the equivilence of RH7.0??
Is anyone from RH reading this and/or going to respond to this?  Am I going to get any help about this?  I guess I will check back here again.  I don't 
know what to do.  I read instructions/documentation on installing/upgrading three times over.  I figured this was going to happen and none of this was 
going to work and it sure enough didn't.  I'm pretty much stuck.  I did however backup my complete Linux system in anticipation of the worst and it was a 
good thing.  At least I haven't lost that.

Anacdump.txt:

Traceback (innermost last):

File "/usr/bin/anaconda.real", line 438, in ?
intf.run(todo, test = test)
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in run
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in __call__
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 941, in upgradeFindPackages  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", 
line 539, in getCompsList
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, in readComps
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in __init__
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 353, in readCompsFile
File "/tmp/lib/python1.5/urllib.py", line 59, in urlopen
return _urlopener.open(url)  File "/tmp/lib/python1.5/urllib.py", line 159, in open    return getattr(self, name)(url)  File "/tmp/lib/python1.5/urllib.py", line 330, 
in open_file
return self.open_local_file(url)
File "/tmp/lib/python1.5/urllib.py", line 340, in open_local_file
return addinfourl(open(url2pathname(file), 'rb'),
IOError: [Errno 2] No such file or directory: '/tmp/hdimage///RedHat/base/comps'
Local variables in innermost frame:
mtype: None
self: <urllib.FancyURLopener instance at 828b980>
mimetypes: <module 'mimetypes' from '/tmp/lib/python1.5/mimetypes.pyc'>
StringIO: <module 'StringIO' from '/tmp/lib/python1.5/StringIO.pyc'>
file: /tmp/hdimage///RedHat/base/comps
url: /tmp/hdimage///RedHat/base/comps
host: None
headers: Content-Type: text/plain
mimetools: <module 'mimetools' from '/tmp/lib/python1.5/mimetools.pyc'>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10
<failed>
Comment 13 Robert Hershberger 2001-04-07 12:50:00 EDT
I got a similar problem while installing from the Linux Unlimited Bible CDs, follows is the anacdump.txt

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1697, in doInstall
    stdout = devnull)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 40, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/sbin/kudzu can not be run

Local variables in innermost frame:
argv: ['/usr/sbin/kudzu', '-q']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 22
stderr: 2
command: /usr/sbin/kudzu
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


thanks for your time.

RTH
Comment 14 Brent Fox 2001-04-11 15:28:52 EDT
The original bug report is a duplicate of bug #18032.  Some of the other posts
here are totally unrelated to this bug and should be filed in separate bug reports.

*** This bug has been marked as a duplicate of 18032 ***

Note You need to log in before you can comment on or make changes to this bug.